## linuxmuster-client-veracrypt 0.1.6-1

=== Makefile ===
#!/usr/bin/make
# Created by Rüdiger Beck (jeffbeck-at-web.de)
DESTDIR=

SBIN=$(DESTDIR)/usr/sbin
BIN=$(DESTDIR)/usr/bin
SUDOERS=$(DESTDIR)/etc/sudoers.d
ETC=$(DESTDIR)/etc/linuxmuster-client-veracrypt


help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make install'
	@echo '      install all stuff'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package'
	@echo ' '


install:
	@echo '   * Installing sudoers stuff'
	@install -d -m0440 -oroot -groot $(SUDOERS)
	@install -oroot -groot --mode=0440 sudo/linuxmuster-client-veracrypt $(SUDOERS)
	@echo '   * Adding Scripts'
	@install -d -m0755 -oroot -groot $(SBIN)
	@install -oroot -groot --mode=0440 scripts/linuxmuster-client-veracrypt-installer $(SBIN)
	@install -d -m0755 -oroot -groot $(BIN)
	@install -m755 -oroot -groot scripts/linuxmuster-autoveracrypt $(BIN)
	@echo '   * Adding Config for host'
	@install -d -m0755 -oroot -groot $(ETC)
	@install -oroot -groot --mode=755 config/linuxmuster-client-veracrypt.conf  $(ETC)

# build a package
deb:
	### deb
	@echo 'Did you do a dch -i ?'
	#@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in git'
	@echo ''

clean:
	@echo ''
	@echo 'Cleaning up'
	@echo ''

=== debian/changelog ===
linuxmuster-client-veracrypt (0.1.6-1) trusty; urgency=medium

  * New upstream Release 1.23

 -- bz <bz@X220>  Mon, 29 Oct 2018 17:00:24 +0100

linuxmuster-client-veracrypt (0.1.5-1) xenial; urgency=medium

  * New upstream release 1.22

 -- jeff <bz@adler>  Sat, 19 May 2018 12:32:39 +0200

linuxmuster-client-veracrypt (0.1.4-1) xenial; urgency=medium

  * New upstream release 1.21

 -- jeff <bz@adler>  Wed, 12 Jul 2017 14:10:37 +0200

linuxmuster-client-veracrypt (0.1.3-1) xenial; urgency=medium

  * New upstream release 1.19

 -- jeff <bz@adler>  Fri, 27 Jan 2017 02:44:52 +0100

linuxmuster-client-veracrypt (0.1.2-1) xenial; urgency=medium

  * New upstream release 1.18

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 09 Sep 2016 14:16:25 +0200

linuxmuster-client-veracrypt (0.0.7-2) xenial; urgency=low

  * Stable release for xenial xerus

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Thu, 09 Feb 2016 11:20:42 +0200
 

linuxmuster-client-veracrypt (0.0.7-1) xenial-testing; urgency=medium

  * New upstream release 1.17

 -- Rüdiger Beck <bz@overpower>  Sat, 27 Feb 2016 10:56:03 +0100

linuxmuster-client-veracrypt (0.0.6-2) xenial-testing; urgency=low

  * First release for Ubuntu 16.04 xenial-xerus

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Thu, 09 Feb 2016 11:20:42 +0200
 

linuxmuster-client-veracrypt (0.0.6-2) trusty; urgency=medium

  * New upstream Version 1.16

 -- Ruediger Beck <bz@j1009p21.bszleo.de>  Thu, 15 Oct 2015 17:20:42 +0200

linuxmuster-client-veracrypt (0.0.5-1) trusty-unstable; urgency=medium

  * Sudoers without password, first revision of autoveracrypt (Frank Schiebel) 

 -- Ruediger Beck <bz@j1009p21.bszleo.de>  Thu, 15 Oct 2015 17:04:02 +0200

linuxmuster-client-veracrypt (0.0.4-1) trusty-testing; urgency=medium

  * New upstream Version 1.15

 -- bz <bz@overpower>  Mon, 05 Oct 2015 11:40:12 +0200

linuxmuster-client-veracrypt (0.0.3-1) trusty-testing; urgency=medium

  * New upstream Version 1.14

 -- bz <bz@overpower>  Fri, 18 Sep 2015 01:32:24 +0200

linuxmuster-client-veracrypt (0.0.2-1) trusty-testing; urgency=medium

  * Working Package, deletes downloaded files

 -- jeff <bz@adler>  Thu, 14 May 2015 15:52:48 +0200

linuxmuster-client-veracrypt (0.0.1-1) trusty-testing; urgency=low

  * First Revision

 -- root <jeffbeck@linuxmuster.net>  Fri, 14 May 2015 15:13:17 +0200

=== debian/control ===
Source: linuxmuster-client-veracrypt
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper , perl-base, fakeroot
Standards-Version: 3.5.2



Package: linuxmuster-client-veracrypt
Architecture: all
Suggests: 
Pre-Depends: 
Depends: dmsetup 
Description: Install VeraCrypt 1.23 and make it available to all users 
  The VeraCrypt standard package 1.23 for 32bit and 64bit is downloaded from
  sourceforge.net and installed. The group plugdev kann use
  VeraCrypt, i.e. in most cases all users.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install package into 
        # debian/linuxmuster-client-veracrypt
	$(MAKE) -B install DESTDIR=$(CURDIR)/debian/linuxmuster-client-veracrypt

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for linuxmuster-client-veracrypt
#	dh_installman -psophomorix2 sophomorix2/man/de/sophomorix.de.8
#	dh_undocumented
	dh_install --sourcedir=debian/linuxmuster-client-veracrypt
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
